local metadata = {
"## Interface:FS17 1.4.4",
"## Title: ventTrailer",
"## Notes: See lua notes.",
"## Author: GTX MODS",
"## Version: 1.0",
"## Date: 14.04.2017",
"## Web: http://www.gtxmods.com/"
}

--[[

Credits:
ventTrailer.lua by GTX MODS

History:
V 1.0 @ 14.04.2017 - Initial Release by GTX MODS

Free to use and edit but please keep credits and update Version Number and descriptions. If edited, send us a copy we would love to see it > http://www.gtxmods.com/contact-us/ 

Designed to be used on the CRT Animal Trailers. Allows use of turnedOnRotationNodes with trailers. Rotation Node activated when filling started and stops when empty. 

EXAMPLE FOR XML:
<turnedOnRotationNodes>
		<turnedOnRotationNode index="0>1" type="ventTrailer" rotSpeed="-900"  rotAxis="1" turnOnFadeTime="2" turnOffFadeTime="4" />
</turnedOnRotationNodes>

]]

trailerVent = {};

function trailerVent.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function trailerVent:load(savegame)
	self.isAnyUnitFilled = trailerVent.isAnyUnitFilled
	if self.isClient then
	    self.venttrailerTurnedOnRotationNodes = Utils.loadRotationNodes(self.xmlFile, {}, "vehicle.turnedOnRotationNodes.turnedOnRotationNode", "ventTrailer", self.components);
	end;
end;

function trailerVent:delete()
end;

function trailerVent:mouseEvent(posX, posY, isDown, isUp, button)
end;

function trailerVent:keyEvent(unicode, sym, modifier, isDown)
end;

function trailerVent:update(dt)
	if self.isClient then
		-- if self.attacherVehicle.isMotorStarted then
		Utils.updateRotationNodes(self, self.venttrailerTurnedOnRotationNodes, dt, self:isAnyUnitFilled());
	end;
end;

function trailerVent:isAnyUnitFilled()
	if self.getFillLevel ~= nil then
		return self:getFillLevel() > 0
	end;
	return false
end;

function trailerVent:updateTick(dt)
end;

function trailerVent:draw()    
end;